# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/

%define		sourcename	check_postgres
%define		nagiospluginsdir %{_libdir}/nagios/plugins

Name:		nagios-plugins-check_postgres
Version:	2.24.0
Release:	1.ndias%{?dist}
Summary:	Monitoring tool for Postgres

License:	Copyright only
URL:		https://bucardo.org/check_postgres/
Source0:	https://github.com/bucardo/%{sourcename}/releases/download/%{version}/%{sourcename}-%{version}.tar.gz#/%{sourcename}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	perl-ExtUtils-MakeMaker

%description
Script for monitoring various attributes of your database. It is designed to
work with Nagios, MRTG, or in standalone scripts.

%prep
%setup -q -n %{sourcename}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor \
	INSTALLSCRIPT=%{nagiospluginsdir} \
	INSTALLVENDORSCRIPT=%{nagiospluginsdir}
make %{?_smp_mflags}


%install
%make_install
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name "*.pod" -exec rm -f {} \;


%files
%doc README.md TODO
%license LICENSE

%defattr(755,root,root,-)
%{_libdir}/nagios/plugins/check_postgres.pl

%defattr(644,root,root,-)
%{_mandir}/man1/check_postgres.1p.gz


%changelog
* Fri May 31 2019 Nuno Dias <Nuno.Dias@gmail.com> - 2.24.0-1.ndias
- Version 2.24.0
